<template>
  <span v-if="loading">Loading</span>
  <div v-else>
    <ul>
      <li  v-on:click="display(doc.id)" v-on:click:id_doc="doc_id"  :key="doc.id" v-for="doc in documents">{{ doc.name }}</li>
    </ul>
  </div>
</template>

<script>
import axios from "axios";
const urlDoc = `${process.env.VUE_APP_API_URL}/documents`;
export default {
  name: "DocumentList",
  data() {
    return {
      documents: [],
      loading: true,
      doc_id: 0,
    };
  },
  beforeCreate() {
    if (!this.$session.exists) {
      this.$router.push("/");
      console.log("Passed session");
    }
  },
  mounted() {
    this.loadDocuments();
  },

  methods: {
    loadDocuments() {
      axios
        .get(urlDoc, {
          headers: {
            Authorization: this.$session.get("Basic")
          }
        })
        .then(response => {
          console.log(response);
          this.documents = response.data;
        })
        .catch(err => {
          console.error(err);
        })
        .finally(() => {
          this.loading = false;
        });

    },
    display(id) {
      this.doc_id = id;
      this.$router.push("/document");
    }
  }
};
</script>

<style scoped></style>
